package alvaro.doc2;

/*class OuterClass 
{  
      
    // inner class 
    class InnerClass 
    { 
        void display() 
        { 
            // can access static member of outer class 
            System.out.println("outer_x = " + outer_x); 
              
            // can also access non-static member of outer class 
            System.out.println("outer_y = " + outer_y); 
              
            // can also access private member of outer class 
            System.out.println("outer_private = " + outer_private); 
          
        } 
    } 
}*/

public class TestClass {

    public static void main(String[] args) {
        TestClass t = new TestClass();
    }
    
    public void hola();
    
    public void hola(int a);

    private static void testMethod() {
        abstract static class TestMethod {
            int a;
            int b;
            int c;

            abstract void implementMe();
        }

        class DummyClass extends TestMethod {
            void implementMe() {}
            void implementMe(int i) {}
        }

        DummyClass dummy = new DummyClass();
    }
}